package tech.powerjob.work.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统日志
 * @TableName SYS_LOGINFO
 */
@TableName(value ="GHJG_BASICS.SYS_LOGINFO")
@Data
public class SysLoginfo implements Serializable {
    /**
     * 日志编号
     */
    @TableId(value = "CODE")
    private String code;

    /**
     * 用户编号
     */
    @TableField(value = "USER_ID")
    private String userId;

    /**
     * 单位编号
     */
    @TableField(value = "UNIT_ID")
    private String unitId;

    /**
     * 记录时间
     */
    @TableField(value = "TIME")
    private Date time;

    /**
     * 日志类型：新增/更新/删除/登录
     */
    @TableField(value = "TYPE")
    private String type;

    /**
     * 日志描述
     */
    @TableField(value = "DES")
    private String des;

    /**
     * 所属模块
     */
    @TableField(value = "MODULE")
    private String module;

    /**
     * 用户类型 0:管理端 1:企业端
     */
    @TableField(value = "USER_TYPE")
    private Long userType;

    /**
     * 模块ID
     */
    @TableField(value = "MODULE_ID")
    private String moduleId;

    /**
     * 顶级模块ID
     */
    @TableField(value = "TOP_MODULE_ID")
    private String topModuleId;

    /**
     * 0 web端   1 app端
     */
    @TableField(value = "VISIT_TYPE")
    private Long visitType;

    @TableField(value = "B64MESSAGE")
    private String b64Message;
    @TableField(value = "B64MESSAGERESULT")
    private String b64MessageResult;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}