package tech.powerjob.work.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户基础信息表（从综合业务平台同步的用户信息）
 *
 * @TableName SYS_USER
 */
@TableName(value = "GHJG_BASICS.SYS_USER")
@Data
public class SysUser implements Serializable {
    /**
     *
     */
    @TableId(value = "ID")
    private Long id;

    /**
     *
     */
    @TableField(value = "USERID")
    private String userid;

    /**
     *
     */
    @TableField(value = "USERNAME")
    private String username;

    /**
     * 岗位
     */
    @TableField(value = "DESCRIPTION")
    private String description;

    /**
     *
     */
    @TableField(value = "PASSWORD")
    private String password;

    /**
     *
     */
    @TableField(value = "SALT")
    private String salt;

    /**
     *
     */
    @TableField(value = "EMAIL")
    private String email;

    /**
     *
     */
    @TableField(value = "MOBILE")
    private String mobile;

    /**
     *
     */
    @TableField(value = "STATUS")
    private String status;

    /**
     *
     */
    @TableField(value = "MAX_ONLINE")
    private Integer maxOnline;

    /**
     *
     */
    @TableField(value = "TIMEOUT")
    private Long timeout;

    /**
     *
     */
    @TableField(value = "VALID_TIME_BEGIN")
    private Date validTimeBegin;

    /**
     *
     */
    @TableField(value = "VALID_TIME_END")
    private Date validTimeEnd;

    /**
     *
     */
    @TableField(value = "CREATE_TIME")
    private Date createTime;

    /**
     *
     */
    @TableField(value = "UPDATE_TIME")
    private Date updateTime;

    /**
     *
     */
    @TableField(value = "DELETED")
    private Integer deleted;

    /**
     *
     */
    @TableField(value = "AVAILABLE")
    private Integer available;

    /**
     *
     */
    @TableField(value = "ACCESS_IP_RESTRICT")
    private Integer accessIpRestrict;

    /**
     *
     */
    @TableField(value = "ADMIN")
    private Integer admin;

    /**
     *
     */
    @TableField(value = "PASS_VALID_TIME")
    private Date passValidTime;

    /**
     *
     */
    @TableField(value = "PASS_ERROR_COUNT")
    private Integer passErrorCount;

    /**
     *
     */
    @TableField(value = "PROPERTY3")
    private String property3;

    /**
     *
     */
    @TableField(value = "PROPERTY4")
    private String property4;

    /**
     *
     */
    @TableField(value = "PROPERTY5")
    private String property5;

    /**
     * 身份证号
     */
    @TableField(value = "PROPERTY6")
    private String property6;

    /**
     *
     */
    @TableField(value = "PROPERTY7")
    private String property7;

    /**
     *
     */
    @TableField(value = "PROPERTY8")
    private String property8;

    /**
     * 社会统一信用代码
     */
    @TableField(value = "PROPERTY9")
    private String property9;

    /**
     * 级别
     */
    @TableField(value = "PROPERTY10")
    private String property10;

    /**
     *
     */
    @TableField(value = "PROPERTY1")
    private String property1;

    /**
     *
     */
    @TableField(value = "PROPERTY2")
    private String property2;

    /**
     *
     */
    @TableField(value = "CA_ACCESS_KEY")
    private String caAccessKey;

    /**
     * 所属用户组编号，复数个的场合用,分隔
     */
    @TableField(value = "GROUP_IDS")
    private String groupIds;

    /**
     * 所属机构编号
     */
    @TableField(value = "ORGANIZATION_IDS")
    private String organizationIds;

    /**
     * 所属机构名称
     */
    @TableField(value = "ORGANIZATION_NAME")
    private String organizationName;


    @TableField(value = "B64MESSAGE")
    private String b64Message;
    @TableField(value = "B64MESSAGERESULT")
    private String b64MessageResult;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}